#!/usr/bin/env python3
"""
Gridded GLM function tests
"""

import sys
from testlib.common import PYDIR
sys.path.append(PYDIR)

from gridded_glm.statistics import create_statistics_filename, get_tile_number_from_tile_file

def test_create_statistics_filename():
    assert(create_statistics_filename("CSPP_OR_GLM-L2-GLMF-M3_G16_T07_20220315000300.nc") == "CSPP_OR_GLM-L2-GLMF-M3_G16_statistics_e20220315000300.nc")

def test_get_tile_number_from_tile_file():
    assert(get_tile_number_from_tile_file("CSPP_OR_GLM-L2-GLMF-M3_G16_T07_20220315000300.nc") == 7)